# REST Resource: userProfiles

- [Resource: UserProfile](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles#UserProfile)
  - [JSON representation](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles#UserProfile.SCHEMA_REPRESENTATION)
  - [Name](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles#UserProfile.Name)
    - [JSON representation](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles#UserProfile.Name.SCHEMA_REPRESENTATION)
  - [GlobalPermission](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles#UserProfile.GlobalPermission)
    - [JSON representation](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles#UserProfile.GlobalPermission.SCHEMA_REPRESENTATION)
  - [Permission](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles#UserProfile.Permission)
- [Methods](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles#METHODS_SUMMARY)

## Resource: UserProfile

Global information for a user.

| JSON representation |
|---|
| ``` { "id": string, "name": { object (`https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles#UserProfile.Name`) }, "emailAddress": string, "photoUrl": string, "permissions": [ { object (`https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles#UserProfile.GlobalPermission`) } ], "verifiedTeacher": boolean } ``` |

| Fields ||
|---|---|
| `id` | `string` Identifier of the user. Read-only. |
| `name` | ``object (`https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles#UserProfile.Name`)`` Name of the user. Read-only. |
| `emailAddress` | `string` Email address of the user. Must request `https://www.googleapis.com/auth/classroom.profile.emails` scope for this field to be populated in a response body. Read-only. |
| `photoUrl` | `string` URL of user's profile photo. Must request `https://www.googleapis.com/auth/classroom.profile.photos` scope for this field to be populated in a response body. Read-only. |
| `permissions[]` | ``object (`https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles#UserProfile.GlobalPermission`)`` Global permissions of the user. Read-only. |
| `verifiedTeacher` | `boolean` Represents whether a Google Workspace for Education user's domain administrator has explicitly verified them as being a teacher. This field is always false if the user is not a member of a Google Workspace for Education domain. Read-only |

### Name

Details of the user's name.

| JSON representation |
|---|
| ``` { "givenName": string, "familyName": string, "fullName": string } ``` |

| Fields ||
|---|---|
| `givenName` | `string` The user's first name. Read-only. |
| `familyName` | `string` The user's last name. Read-only. |
| `fullName` | `string` The user's full name formed by concatenating the first and last name values. Read-only. |

### GlobalPermission

Global user permission description.

| JSON representation |
|---|
| ``` { "permission": enum (`https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles#UserProfile.Permission`) } ``` |

| Fields ||
|---|---|
| `permission` | ``enum (`https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles#UserProfile.Permission`)`` Permission value. |

### Permission

Possible permissions that a user may have.

| Enums ||
|---|---|
| `PERMISSION_UNSPECIFIED` | No permission is specified. This is not returned and is not a valid value. |
| `CREATE_COURSE` | User is permitted to create a course. |

| ## Methods ||
|---|---|
| ### `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles/checkUserCapability` | > [!WARNING] > **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview), which grants early access to certain features. This feature is available in `https://developers.google.com/workspace/classroom/reference/rest/v1/PreviewVersion` and later. See [Access Preview APIs](https://developers.google.com/workspace/classroom/reference/preview) to learn more. Returns whether a user may use the specified Classroom capability. |
| ### `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles/get` | Returns a user profile. |